% -------------------------------------------------------------------------
% Qualitative Path Estimation Toolbox - Demo.m
%
% This script demonstrates the use the QPE Toolbox for Qualitative Trend
% Analysis (QTA).
%
% -------------------------------------------------------------------------
% Last modification: Kris Villez, 2015-01-11
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2012-2015 Kris Villez
%
% This file is part of the QPE Toolbox for Matlab/Octave. 
% 
% The QPE Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by the
% Free Software Foundation, either version 3 of the License, or (at your
% option) any later version.
% 
% The QPE Toolbox is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the QPE Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------

clc 
clear all
close all

strings         =   {'BC','BCBC','BCDA'}    ;
kernel_widths   =   [ 2.^(2:.1:11)]+1       ;
kernel_widths   =   kernel_widths(81)       ;

unc_facs        =   [ nan ]                 ;
	
load data_demo

sigma	=   NoiseStd	;
y       = 	y./sigma    ;
		
[LogLik,Trans,y1n,y2n,ComputTime] = QPE(y,[],kernel_widths,unc_facs,strings) ;



return
